Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.config
Class LabelTypeRoles

    java.lang.Object
      es.inteco.xbrl.lenlocpenloc.config.LabelTypeRoles

All Implemented Interfaces:
  java.io.Serializable

    public class LabelTypeRoles

extends java.lang.Object
implements java.io.Serializable

This class was automatically generated with Castor 1.3rc1, using an XML Schema. $Id: LabelTypeRoles.java,v 1.4 2009/01/19 14:12:30 a130499 Exp $
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es
See Also:
  Serialized Form

Constructor Summary
`LabelTypeRoles()`

Method Summary
`void` | `addRole(int index, Role vRole)`
`void` | `addRole(Role vRole)`
`java.util.Enumeration<? extends Role>` | `enumerateRole()` Method enumerateRole.
`Role[]` | `getRole()` Method getRole.Returns the contents of the collection in an Array.
`Role` | `getRole(int index)` Method getRole.
`int` | `getRoleCount()` Method getRoleCount.
`boolean` | `isValid()` Method isValid.
`void` | `marshal(org.xml.sax.ContentHandler handler)`
`void` | `marshal(java.io.Writer out)`
`void` | `removeAllRole()`
`boolean` | `removeRole(Role vRole)` Method removeRole.
`Role` | `removeRoleAt(int index)` Method removeRoleAt.
`void` | `setRole(int index, Role vRole)`
`void` | `setRole(Role[] vRoleArray)`
`static LabelTypeRoles` | `unmarshal(java.io.Reader reader)` Method unmarshal.
`void` | `validate()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LabelTypeRoles

    public LabelTypeRoles()

Method Detail

### addRole

    public void addRole(Role vRole)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vRole` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### addRole

    public void addRole(int index,
                        Role vRole)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vRole` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### enumerateRole

    public java.util.Enumeration<? extends Role> enumerateRole()

  Method enumerateRole.

  Returns:
    an Enumeration over all es.inteco.xbrl.lenlocpenloc.config.Role elements

### getRole

    public Role getRole(int index)
                 throws java.lang.IndexOutOfBoundsException

  Method getRole.

  Parameters:
    `index` -
  Returns:
    the value of the es.inteco.xbrl.lenlocpenloc.config.Role at the given index
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### getRole

    public Role[] getRole()

  Method getRole.Returns the contents of the collection in an Array.

  Note: Just in case the collection contents are changing in another thread, we pass a 0-length Array of the correct type into the API call. This way we know that the Array returned is of exactly the correct length.

  Returns:
    this collection as an Array

### getRoleCount

    public int getRoleCount()

  Method getRoleCount.

  Returns:
    the size of this collection

### isValid

    public boolean isValid()

  Method isValid.

  Returns:
    true if this object is valid according to the schema

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### marshal

    public void marshal(org.xml.sax.ContentHandler handler)
                 throws java.io.IOException,
                        org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `java.io.IOException` - if an IOException occurs during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling

### removeAllRole

    public void removeAllRole()

### removeRole

    public boolean removeRole(Role vRole)

  Method removeRole.

  Parameters:
    `vRole` -
  Returns:
    true if the object was removed from the collection.

### removeRoleAt

    public Role removeRoleAt(int index)

  Method removeRoleAt.

  Parameters:
    `index` -
  Returns:
    the element removed from the collection

### setRole

    public void setRole(int index,
                        Role vRole)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vRole` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### setRole

    public void setRole(Role[] vRoleArray)

  Parameters:
    `vRoleArray` -

### unmarshal

    public static LabelTypeRoles unmarshal(java.io.Reader reader)
                                    throws org.exolab.castor.xml.MarshalException,
                                           org.exolab.castor.xml.ValidationException

  Method unmarshal.

  Parameters:
    `reader` -
  Returns:
    the unmarshaled es.inteco.xbrl.lenlocpenloc.config.LabelTypeRoles
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD